package app;


import java.util.Properties;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.JMSException;
import javax.jms.MessageProducer;
import javax.jms.Queue;
import javax.jms.Session;
import javax.jms.TextMessage;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;


/**
 * @author wall ace
 * 
 */
public class Main {

	/**
	 * @param args
	 * @throws NamingException
	 * @throws JMSException
	 */
	public static void main(String[] args) throws NamingException, JMSException {

		Context ctx;

		ConnectionFactory fabricaDeConexoesParaEnvioDeMensagens;
		Queue filaDeMensagens;

		Properties props = new Properties();

		props.setProperty("org.omg.CORBA.ORBInitialPort", "17037");
		System.setProperty("org.omg.CORBA.ORBInitialPort", "17037");

		ctx = new InitialContext(props);

		fabricaDeConexoesParaEnvioDeMensagens = (ConnectionFactory) ctx.lookup("cp_teste");
		filaDeMensagens = (Queue) ctx.lookup("jms/teste_fila");

		Connection conexaoDaFila = null;
		Session sessao = null;
		TextMessage msg = null;

		conexaoDaFila = fabricaDeConexoesParaEnvioDeMensagens.createConnection();

		sessao = conexaoDaFila.createSession(false, Session.AUTO_ACKNOWLEDGE);
		MessageProducer produtorMsg = sessao.createProducer(filaDeMensagens);
		msg = sessao.createTextMessage();

		msg.setText("teste");
		produtorMsg.send(msg);

		sessao.close();

		System.out.println("ok");

	}
}
